Package fr.gouv.vitam.processing.management.rest

# Class VitamApplicationInitializr

java.lang.Object
fr.gouv.vitam.processing.management.rest.VitamApplicationInitializr

public class VitamApplicationInitializr extends Object
As restEasy application is lazy load, and some classes are needed for both Jetty server and resteasy configuration This Factory helps to make bridge between jetty server and resteasy configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamApplicationInitializr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamApplicationInitializr`
  `get()`
  Get an instance of VitamApplicationInitializr
  `CommonBusinessApplication`
  `getCommonBusinessApplication()`
  Used by @see BusinessApplication to get a registred classes
  `Set<Object>`
  `getSingletons()`
  Return the set of registered resources
  `VitamServerLifeCycle`
  `getVitamServerLifeCycle()`
  Return the vitamServerLifeCycle to be added to jetty server
  `void`
  `initialize(ServerConfiguration serverConfiguration, WorkerClientFactory workerClientFactory, ProcessManagement processManagement)`
  `void`
  `initialize(String configurationFile)`
  Initialize all resource using the given configuration file

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamApplicationInitializr

    public VitamApplicationInitializr()

- ## Method Details

  - ### get

    public static VitamApplicationInitializr get()
    Get an instance of VitamApplicationInitializr
    Returns:
      VitamApplicationInitializr

  - ### initialize

    public void initialize(String configurationFile)
    Initialize all resource using the given configuration file
    Parameters:
      `configurationFile` -

  - ### initialize

    public void initialize(ServerConfiguration serverConfiguration, WorkerClientFactory workerClientFactory, ProcessManagement processManagement) throws IOException
    Throws:
      `IOException`

  - ### getSingletons

    public Set<Object> getSingletons()
    Return the set of registered resources
    Returns:
      singletons

  - ### getVitamServerLifeCycle

    public VitamServerLifeCycle getVitamServerLifeCycle()
    Return the vitamServerLifeCycle to be added to jetty server
    Returns:
      vitamServerLifeCycle

  - ### getCommonBusinessApplication

    public CommonBusinessApplication getCommonBusinessApplication()
    Used by @see BusinessApplication to get a registred classes
    Returns:
      commonBusinessApplication